summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--deadwood/.footprint14
-rw-r--r--deadwood/.md5sum3
-rw-r--r--deadwood/Pkgfile22
-rw-r--r--deadwood/deadwood35
-rw-r--r--deadwood/dwood3rc12
5 files changed, 86 insertions, 0 deletions
diff --git a/deadwood/.footprint b/deadwood/.footprint
new file mode 100644
index 000000000..4c53f4b58
--- /dev/null
+++ b/deadwood/.footprint
@@ -0,0 +1,14 @@
+drwxr-xr-x root/root etc/
+-rw-r--r-- root/root etc/dwood3rc
+drwxr-xr-x root/root etc/rc.d/
+-rwxr-xr-x root/root etc/rc.d/deadwood
+drwxr-xr-x root/root usr/
+drwxr-xr-x root/root usr/man/
+drwxr-xr-x root/root usr/man/man1/
+-rw-r--r-- root/root usr/man/man1/deadwood.1.gz
+drwxr-xr-x root/root usr/sbin/
+-rwxr-xr-x root/root usr/sbin/Deadwood
+drwxr-xr-x root/root var/
+drwxr-xr-x root/root var/lib/
+drwxr-xr-x root/root var/lib/deadwood/
+drwx------ nobody/root var/lib/deadwood/cache/
diff --git a/deadwood/.md5sum b/deadwood/.md5sum
new file mode 100644
index 000000000..fd1b753cf
--- /dev/null
+++ b/deadwood/.md5sum
@@ -0,0 +1,3 @@
+d2dd952ec5806cf4330b2e4a486484b4 deadwood
+7dcb8c131c12bd14fbec8ee741d74b22 deadwood-3.2.07.tar.bz2
+0a2d736d8043d5cae0c5e41d2110c6a9 dwood3rc
diff --git a/deadwood/Pkgfile b/deadwood/Pkgfile
new file mode 100644
index 000000000..f6d119b0e
--- /dev/null
+++ b/deadwood/Pkgfile
@@ -0,0 +1,22 @@
+# Description: Fully recursive caching DNS resolver
+# URL: http://www.maradns.org/deadwood
+# Maintainer: Juergen Daubert, jue at crux dot nu
+
+name=deadwood
+version=3.2.07
+release=1
+source=(http://maradns.samiam.org/deadwood/stable/$name-$version.tar.bz2 \
+ dwood3rc deadwood)
+
+build () {
+ cd $name-$version
+
+ make -C src FLAGS="$CFLAGS"
+
+ install -d $PKG/{usr/sbin,usr/man/man1,etc/rc.d,var/lib/deadwood}
+ install -d -m 700 -o nobody $PKG/var/lib/deadwood/cache
+ install -m 755 src/Deadwood $PKG/usr/sbin
+ install -m 644 doc/Deadwood.1 $PKG/usr/man/man1/deadwood.1
+ install -m 644 $SRC/dwood3rc $PKG/etc
+ install -m 755 $SRC/deadwood $PKG/etc/rc.d
+}
diff --git a/deadwood/deadwood b/deadwood/deadwood
new file mode 100644
index 000000000..454a816a5
--- /dev/null
+++ b/deadwood/deadwood
@@ -0,0 +1,35 @@
+#!/bin/sh
+#
+# /etc/rc.d/deadwood: start/stop deadwood DNS resolver
+#
+
+SSD=/sbin/start-stop-daemon
+PROG=/usr/sbin/Deadwood
+PID=/var/run/deadwood.pid
+LOG=/var/log/deadwood.log
+
+case $1 in
+start)
+ $SSD --start -bmC --pidfile $PID --exec $PROG >> $LOG 2>&1
+ ;;
+stop)
+ $SSD --stop --remove-pidfile --retry 10 --pidfile $PID
+ ;;
+restart)
+ $0 stop
+ $0 start
+ ;;
+status)
+ $SSD --status --pidfile $PID
+ case $? in
+ 0) echo "$PROG is running with pid $(cat $PID)" ;;
+ 1) echo "$PROG is not running but the pid file $PID exists" ;;
+ 3) echo "$PROG is not running" ;;
+ 4) echo "Unable to determine the program status" ;;
+ esac
+ ;;
+*)
+ echo "usage: $0 [start|stop|restart|status]"
+ ;;
+esac
+# End of file
diff --git a/deadwood/dwood3rc b/deadwood/dwood3rc
new file mode 100644
index 000000000..5b1f4777e
--- /dev/null
+++ b/deadwood/dwood3rc
@@ -0,0 +1,12 @@
+#
+# /etc/deadwoodrc
+#
+
+
+bind_address="127.0.0.1"
+chroot_dir = "/var/lib/deadwood"
+cache_file = "cache/dw_cache"
+maximum_cache_elements = 60000
+recursive_acl = "127.0.0.1/16"
+
+# End of file

Generated by cgit